#!/bin/bash

rm EMG_* ECG_* GAP_* EEG_* ASTRO_*
rm Logrun.log
make clean
make

#############################--VALMOD--#############################

#./VALMOD [sizeSeries] [l_min] [l_max] [0 run only VALMOD, 1 VALMOD and STOMP, 2 only STOMP] [p] [nameExperiment] [data file]
 

#EMG DATA

./VALMOD 100000 1024 1124 0 50 EMG_1 VALMOD_data/EMG.csv
./VALMOD 200000 1024 1124 0 50 EMG_2 VALMOD_data/EMG.csv
./VALMOD 500000 1024 1124 0 50 EMG_3 VALMOD_data/EMG.csv
./VALMOD 800000 1024 1124 0 50 EMG_4 VALMOD_data/EMG.csv
./VALMOD 1000000 1024 1124 0 50 EMG_5 VALMOD_data/EMG.csv

#ECG DATA

./VALMOD 100000 1024 1124 0 50 ECG_1 VALMOD_data/ECG.csv
./VALMOD 200000 1024 1124 0 50 ECG_2 VALMOD_data/ECG.csv
./VALMOD 500000 1024 1124 0 50 ECG_3 VALMOD_data/ECG.csv
./VALMOD 800000 1024 1124 0 50 ECG_4 VALMOD_data/ECG.csv
./VALMOD 1000000 1024 1124 0 50 ECG_5 VALMOD_data/ECG.csv

#GAP (EDF) DATA

./VALMOD 100000 1024 1124 0 50 GAP_1 VALMOD_data/GAP.csv
./VALMOD 200000 1024 1124 0 50 GAP_2 VALMOD_data/GAP.csv
./VALMOD 500000 1024 1124 0 50 GAP_3 VALMOD_data/GAP.csv
./VALMOD 800000 1024 1124 0 50 GAP_4 VALMOD_data/GAP.csv
./VALMOD 1000000 1024 1124 0 50 GAP_5 VALMOD_data/GAP.csv

# EEG DATA

./VALMOD 100000 1024 1124 0 50 EEG_1 VALMOD_data/EEG.csv
./VALMOD 200000 1024 1124 0 50 EEG_2 VALMOD_data/EEG.csv
./VALMOD 500000 1024 1124 0 50 EEG_3 VALMOD_data/EEG.csv

# ASTRO DATA

./VALMOD 100000 1024 1124 0 50 ASTRO_1 VALMOD_data/ASTRO.csv
./VALMOD 200000 1024 1124 0 50 ASTRO_2 VALMOD_data/ASTRO.csv
./VALMOD 500000 1024 1124 0 50 ASTRO_3 VALMOD_data/ASTRO.csv
./VALMOD 800000 1024 1124 0 50 ASTRO_4 VALMOD_data/ASTRO.csv
./VALMOD 1000000 1024 1124 0 50 ASTRO_5 VALMOD_data/ASTRO.csv

#####################################################################



#############################--STOMP--#############################

#EMG DATA

./VALMOD 100000 1024 1124 2 0 EMG_1 VALMOD_data/EMG.csv
./VALMOD 200000 1024 1124 2 0 EMG_2 VALMOD_data/EMG.csv
./VALMOD 500000 1024 1124 2 0 EMG_3 VALMOD_data/EMG.csv
./VALMOD 800000 1024 1124 2 0 EMG_4 VALMOD_data/EMG.csv
./VALMOD 1000000 1024 1124 2 0 EMG_5 VALMOD_data/EMG.csv

#ECG DATA

./VALMOD 100000 1024 1124 2 0 ECG_1 VALMOD_data/ECG.csv
./VALMOD 200000 1024 1124 2 0 ECG_2 VALMOD_data/ECG.csv
./VALMOD 500000 1024 1124 2 0 ECG_3 VALMOD_data/ECG.csv
./VALMOD 800000 1024 1124 2 0 ECG_4 VALMOD_data/ECG.csv
./VALMOD 1000000 1024 1124 2 0 ECG_5 VALMOD_data/ECG.csv

#GAP (EDF) DATA

./VALMOD 100000 1024 1124 2 0 ECG_1 VALMOD_data/GAP.csv
./VALMOD 200000 1024 1124 2 0 ECG_2 VALMOD_data/GAP.csv
./VALMOD 500000 1024 1124 2 0 ECG_3 VALMOD_data/GAP.csv
./VALMOD 800000 1024 1124 2 0 ECG_4 VALMOD_data/GAP.csv
./VALMOD 1000000 1024 1124 2 0 ECG_5 VALMOD_data/GAP.csv

# EEG DATA

./VALMOD 100000 1024 1124 2 0 EEG_1 VALMOD_data/EEG.csv
./VALMOD 200000 1024 1124 2 0 EEG_2 VALMOD_data/EEG.csv
./VALMOD 500000 1024 1124 2 0 EEG_3 VALMOD_data/EEG.csv


# ASTRO DATA

./VALMOD 100000 1024 1124 2 0 ASTRO_1 VALMOD_data/ASTRO.csv
./VALMOD 200000 1024 1124 2 0 ASTRO_2 VALMOD_data/ASTRO.csv
./VALMOD 500000 1024 1124 2 0 ASTRO_3 VALMOD_data/ASTRO.csv
./VALMOD 800000 1024 1124 2 0 ASTRO_4 VALMOD_data/ASTRO.csv
./VALMOD 1000000 1024 1124 2 0 ASTRO_5 VALMOD_data/ASTRO.csv


#####################################################################

